CEL: Crystal Entity Layer: iPcTooltip Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcTooltip Struct Reference

Tooltip property class. More...

`#include <propclass/tooltip.h>`

List of all members.

## Public Member Functions
virtual void | Hide ()=0
| Hide tooltip.
virtual bool | IsVisible () const =0
| Is tooltip visible?
virtual void | SetBackgroundColor (int r, int g, int b)=0
| Set background color (use -1, -1, -1 for transparent).
virtual void | SetFont (iFont *font)=0
| Set the font for the tooltip.
virtual void | SetJustify (celTooltipJustify justify)=0
| Set the justification of the tooltip.
virtual void | SetText (const char *text)=0
| Set the text to display.
virtual void | SetTextColor (int r, int g, int b)=0
| Set text color.
virtual void | Show (int x, int y)=0
| Show tooltip at given location.

## Detailed Description

Tooltip property class.

Definition at line 40 of file tooltip.h.

## Member Function Documentation

virtual void iPcTooltip::Hide | ( |  | ) | `[pure virtual]`

Hide tooltip.

virtual bool iPcTooltip::IsVisible | ( |  | ) | const`[pure virtual]`

Is tooltip visible?

virtual void iPcTooltip::SetBackgroundColor | ( | int | r,
|  | int | g,
|  | int | b |
| ) |  |  | `[pure virtual]`

Set background color (use -1, -1, -1 for transparent).

Default yellow.

virtual void iPcTooltip::SetFont | ( | iFont * | font | ) | `[pure virtual]`

Set the font for the tooltip.

Defaults to CSFONT_COURIER.

virtual void iPcTooltip::SetJustify | ( | celTooltipJustify | justify | ) | `[pure virtual]`

Set the justification of the tooltip.

Defaults to left-aligned.

virtual void iPcTooltip::SetText | ( | const char * | text | ) | `[pure virtual]`

Set the text to display.

Newlines will be properly handled.

virtual void iPcTooltip::SetTextColor | ( | int | r,
|  | int | g,
|  | int | b |
| ) |  |  | `[pure virtual]`

Set text color.

Default black.

virtual void iPcTooltip::Show | ( | int | x,
|  | int | y |
| ) |  |  | `[pure virtual]`

Show tooltip at given location.

The documentation for this struct was generated from the following file:

- propclass/tooltip.h